## SAR RF Set State request SAR RF Set State request |

## Functions

QmiMessageSarRfSetStateInput * | qmi_message_sar_rf_set_state_input_new ()
QmiMessageSarRfSetStateInput * | qmi_message_sar_rf_set_state_input_ref ()
void | qmi_message_sar_rf_set_state_input_unref ()
gboolean | qmi_message_sar_rf_set_state_input_get_state ()
gboolean | qmi_message_sar_rf_set_state_input_set_state ()
QmiMessageSarRfSetStateOutput * | qmi_message_sar_rf_set_state_output_ref ()
void | qmi_message_sar_rf_set_state_output_unref ()
gboolean | qmi_message_sar_rf_set_state_output_get_result ()
void | qmi_client_sar_rf_set_state ()
QmiMessageSarRfSetStateOutput * | qmi_client_sar_rf_set_state_finish ()

## Types and Values

| QmiMessageSarRfSetStateInput
| QmiMessageSarRfSetStateOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageSarRfSetStateInput
        ╰── QmiMessageSarRfSetStateOutput

## Description

## Functions

### qmi_message_sar_rf_set_state_input_new ()

    QmiMessageSarRfSetStateInput *
    qmi_message_sar_rf_set_state_input_new
                                   (void);

Allocates a new QmiMessageSarRfSetStateInput.

#### Returns

the newly created QmiMessageSarRfSetStateInput. The returned value should be freed with `qmi_message_sar_rf_set_state_input_unref()`.

Since: 1.28

### qmi_message_sar_rf_set_state_input_ref ()

    QmiMessageSarRfSetStateInput *
    qmi_message_sar_rf_set_state_input_ref
                                   (QmiMessageSarRfSetStateInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageSarRfSetStateInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_sar_rf_set_state_input_unref ()

    void
    qmi_message_sar_rf_set_state_input_unref
                                   (QmiMessageSarRfSetStateInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageSarRfSetStateInput. |

Since: 1.28

### qmi_message_sar_rf_set_state_input_get_state ()

    gboolean
    qmi_message_sar_rf_set_state_input_get_state
                                   (QmiMessageSarRfSetStateInput *self,
                                    QmiSarRfState *value_state,
                                    GError **error);

Get the 'State' field from `self` .

#### Parameters

self | a QmiMessageSarRfSetStateInput. |
value_state | a placeholder for the output QmiSarRfState, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_sar_rf_set_state_input_set_state ()

    gboolean
    qmi_message_sar_rf_set_state_input_set_state
                                   (QmiMessageSarRfSetStateInput *self,
                                    QmiSarRfState value_state,
                                    GError **error);

Set the 'State' field in the message.

#### Parameters

self | a QmiMessageSarRfSetStateInput. |
value_state | a QmiSarRfState. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_sar_rf_set_state_output_ref ()

    QmiMessageSarRfSetStateOutput *
    qmi_message_sar_rf_set_state_output_ref
                                   (QmiMessageSarRfSetStateOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageSarRfSetStateOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_sar_rf_set_state_output_unref ()

    void
    qmi_message_sar_rf_set_state_output_unref
                                   (QmiMessageSarRfSetStateOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageSarRfSetStateOutput. |

Since: 1.28

### qmi_message_sar_rf_set_state_output_get_result ()

    gboolean
    qmi_message_sar_rf_set_state_output_get_result
                                   (QmiMessageSarRfSetStateOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageSarRfSetStateOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_sar_rf_set_state ()

    void
    qmi_client_sar_rf_set_state (QmiClientSar *self,
                                 QmiMessageSarRfSetStateInput *input,
                                 guint timeout,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously sends a RF Set State request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_sar_rf_set_state_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientSar. |
input | a QmiMessageSarRfSetStateInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_sar_rf_set_state_finish ()

    QmiMessageSarRfSetStateOutput *
    qmi_client_sar_rf_set_state_finish (QmiClientSar *self,
                                        GAsyncResult *res,
                                        GError **error);

Finishes an async operation started with `qmi_client_sar_rf_set_state()`.

#### Parameters

self | a QmiClientSar. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_sar_rf_set_state()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageSarRfSetStateOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_sar_rf_set_state_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageSarRfSetStateInput

    typedef struct _QmiMessageSarRfSetStateInput QmiMessageSarRfSetStateInput;

The QmiMessageSarRfSetStateInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageSarRfSetStateOutput

    typedef struct _QmiMessageSarRfSetStateOutput QmiMessageSarRfSetStateOutput;

The QmiMessageSarRfSetStateOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28